Package org.apache.commons.compress.harmony.pack200

# Class CanonicalCodecFamilies

java.lang.Object
org.apache.commons.compress.harmony.pack200.CanonicalCodecFamilies

public class CanonicalCodecFamilies extends Object
Sets of codecs that share characteristics. Mainly used for different effort compression heuristics in BandSet.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static BHSDCodec[]`
  `deltaDoubleSignedCodecs1`
  `static BHSDCodec[]`
  `deltaSignedCodecs1`
  `static BHSDCodec[]`
  `deltaSignedCodecs2`
  `static BHSDCodec[]`
  `deltaSignedCodecs3`
  `static BHSDCodec[]`
  `deltaSignedCodecs4`
  `static BHSDCodec[]`
  `deltaSignedCodecs5`
  `static BHSDCodec[]`
  `deltaUnsignedCodecs1`
  `static BHSDCodec[]`
  `deltaUnsignedCodecs2`
  `static BHSDCodec[]`
  `deltaUnsignedCodecs3`
  `static BHSDCodec[]`
  `deltaUnsignedCodecs4`
  `static BHSDCodec[]`
  `deltaUnsignedCodecs5`
  `static BHSDCodec[]`
  `nonDeltaDoubleSignedCodecs1`
  `static BHSDCodec[]`
  `nonDeltaSignedCodecs1`
  `static BHSDCodec[]`
  `nonDeltaSignedCodecs2`
  `static BHSDCodec[]`
  `nonDeltaUnsignedCodecs1`
  `static BHSDCodec[]`
  `nonDeltaUnsignedCodecs2`
  `static BHSDCodec[]`
  `nonDeltaUnsignedCodecs3`
  `static BHSDCodec[]`
  `nonDeltaUnsignedCodecs4`
  `static BHSDCodec[]`
  `nonDeltaUnsignedCodecs5`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CanonicalCodecFamilies()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### nonDeltaUnsignedCodecs1

    public static BHSDCodec[] nonDeltaUnsignedCodecs1

  - ### nonDeltaUnsignedCodecs2

    public static BHSDCodec[] nonDeltaUnsignedCodecs2

  - ### nonDeltaUnsignedCodecs3

    public static BHSDCodec[] nonDeltaUnsignedCodecs3

  - ### nonDeltaUnsignedCodecs4

    public static BHSDCodec[] nonDeltaUnsignedCodecs4

  - ### nonDeltaUnsignedCodecs5

    public static BHSDCodec[] nonDeltaUnsignedCodecs5

  - ### deltaUnsignedCodecs1

    public static BHSDCodec[] deltaUnsignedCodecs1

  - ### deltaUnsignedCodecs2

    public static BHSDCodec[] deltaUnsignedCodecs2

  - ### deltaUnsignedCodecs3

    public static BHSDCodec[] deltaUnsignedCodecs3

  - ### deltaUnsignedCodecs4

    public static BHSDCodec[] deltaUnsignedCodecs4

  - ### deltaUnsignedCodecs5

    public static BHSDCodec[] deltaUnsignedCodecs5

  - ### deltaSignedCodecs1

    public static BHSDCodec[] deltaSignedCodecs1

  - ### deltaSignedCodecs2

    public static BHSDCodec[] deltaSignedCodecs2

  - ### deltaSignedCodecs3

    public static BHSDCodec[] deltaSignedCodecs3

  - ### deltaSignedCodecs4

    public static BHSDCodec[] deltaSignedCodecs4

  - ### deltaSignedCodecs5

    public static BHSDCodec[] deltaSignedCodecs5

  - ### deltaDoubleSignedCodecs1

    public static BHSDCodec[] deltaDoubleSignedCodecs1

  - ### nonDeltaSignedCodecs1

    public static BHSDCodec[] nonDeltaSignedCodecs1

  - ### nonDeltaSignedCodecs2

    public static BHSDCodec[] nonDeltaSignedCodecs2

  - ### nonDeltaDoubleSignedCodecs1

    public static BHSDCodec[] nonDeltaDoubleSignedCodecs1

- ## Constructor Details

  - ### CanonicalCodecFamilies

    public CanonicalCodecFamilies()